#********* Configuration for production *********#
#********* For more information about how to manage preferences, look at http://www.dcm4che.org/confluence/display/WEA/Weasis+Preferences *********# 

########## Application profile: it allows having a custom preferences directory on the client side (will not shared preferences with other Weasis instances) ##########
##### If no profile name is provided, the value is "default". The profile name must not contain special characters, symbols or spaces
#weasis.profile=profile_name


##########  Application name ##########
##### Change the name of the application everywhere in UI
#weasis.name=Weasis


########## Application resource files (logo, presets, LUTs, dicom annotations configuration...) ##########
##### "resources.zip" is downloaded again only when the last modified date has changed
#weasis.resources.url=${weasis.codebase.url}/resources.zip 


########## Add additional plugins ##########
##### Sets the initial start level of the framework upon startup.
#org.osgi.framework.startlevel.beginning=110
#felix.auto.start.85= \
# ${weasis.codebase.url}/bundle/sample-toolbar-${sample-toolbar.version}.jar


########## Properties which are stored in local preferences, used only to overload application default values during the first launch on a user session ##########
##### Look and feel, if the Substance library is not loaded, Nimbus will be used by default.
#weasis.look=org.pushingpixels.substance.api.skin.SubstanceSaharaLookAndFeel
##### Look and feel, specific to the platform (macosx, linux, windows).
#weasis.look.linux=org.pushingpixels.substance.api.skin.SubstanceGraphiteAquaLookAndFeel
##### Show a message of confirmation when closing the application.
#weasis.confirm.closing=true
##### Language code (see Java Locale: http://www.oracle.com/technetwork/java/javase/locales-137662.html). Default value is "en_US". If value is "system" then the locale of the operating system will be used (client-side).
#locale.lang.code=fr
##### Format code for number and date (see Java Locale). Default value is "system". If value is "system" then the locale of the operating system will be used (client-side).
#locale.format.code=fr_CH
##### Allow to apply Window/Level on color images
#weasis.color.wl.apply=false
##### Inverse level direction (moving the cursor down to increase brightness)
#weasis.level.inverse=false
##### Apply by default the most recent Presentation State to the related image
#weasis.apply.latest.pr=true
##### Sets the logging level of the loggers. This may be any of the defined logging levels TRACE, DEBUG, INFO, WARN, ERROR.
#org.apache.sling.commons.log.level=INFO
##### Sets the log file to which log messages are written. If this property is empty or missing, log messages are written to System.out.
#org.apache.sling.commons.log.file=${felix.cache.rootdir}/.weasis/log/default.log
##### The number of rotated files to keep
#org.apache.sling.commons.log.file.number=5
##### Defines how the log file is rotated by size
#org.apache.sling.commons.log.file.size=10MB
##### Formatting log messages. java.util.MessageFormat pattern supporting up to six arguments: {0} The timestamp of type java.util.Date, {1} the log marker, {2} the name of the current thread, {3} the name of the logger, {4} the debug level and {5} the actual debug message.
#org.apache.sling.commons.log.pattern={0,date,dd.MM.yyyy HH:mm:ss.SSS} *{4}* [{2}] {3}: {5}
##### Defines the maximum number of lines for stack trace (0 => NONE, -1 => ALL). Default value is 3.
#org.apache.sling.commons.log.stack.limit=5
##### Start to download series immediately
#weasis.download.immediately=false


########## Properties which are not stored in local preferences and not visible in GUI, always applied from the server-side  ##########
##### Show a disclaimer at the first launch of Weasis (requires to be accepted to start the application)
#weasis.show.disclaimer=false
##### Show a message when the release has changed
#weasis.show.release=false
##### Allows exporting DICOM files. Default value is true.
#weasis.export.dicom=false
##### Allows DICOM send. Is always false when weasis.export.dicom=false.
#weasis.export.dicom.send=false
##### Allows importing DICOMs. Default value is true.
#weasis.import.dicom=false
##### Allows DICOM Q/R. Is always false when weasis.import.dicom=false.
#weasis.import.dicom.qr=false
##### Set value for dicom root UID when creating DICOM objects (KO or PR). See company list at http://www.iana.org/assignments/enterprise-numbers
#weasis.dicom.root.uid=2.25
##### Audit log for giving statistics about usage of Weasis
#audit.log=true
##### Cache the images from directories defined in weasis.portable.dicom.directory (similar to the web import). Default value is true.
#weasis.portable.dicom.cache=false
##### The number of concurrent series downloads
#download.concurrent.series=3
##### The number of concurrent image downloads in a series
#download.concurrent.series.images=4
##### Allows importing images. Default value is true.
#weasis.import.images=false

########## "More option" button, show a panel that allow the user to import / export DICOM ##########
#weasis.explorer.moreoptions=false


########## Main windows Menu ##########
#weasis.menu.menubar=false


########## Toolbars and Tools (right panels) properties. The existing Toolbars and Tools are by default visible and the index (position) is inferior to 100. Working with additional Toolbar and Tool plugins. ##########
##### Pattern of the property key: {bundle artifactId | weasis (all)}.{plugin container class name in lower case | all}.{toolbar class name in lower case}.property
##### visible: make visible or not the component during the first launch of Weasis (if false, the component can be displayed through the menu Display)
##### enable:  create or not the component (cannot be displayed through the menu Display, if false the visible property has no effect)
#weasis.all.viewertoolbar.visible=false
#weasis.all.viewertoolbar.enable=false
#weasis.all.measuretoolbar.visible=false
#weasis.all.measuretoolbar.enable=false
#weasis.all.zoomtoolbar.visible=false
#weasis.all.zoomtoolbar.enable=false
#weasis-dicom-viewer2d.all.rotationtoolbar.visible=true
#weasis-dicom-viewer2d.all.rotationtoolbar.enable=false
#weasis-dicom-viewer2d.all.dcmheadertoolbar.visible=false
#weasis-dicom-viewer2d.all.dcmheadertoolbar.enable=false
#weasis-dicom-viewer2d.all.luttoolbar.visible=false
#weasis-dicom-viewer2d.all.luttoolbar.enable=false
#weasis.all.basic3dtoolbar.visible=false
#weasis.all.basic3dtoolbar.enable=false
#weasis.all.cinetoolbar.visible=true
#weasis.all.cinetoolbar.enable=false
#weasis.all.keyobjecttoolbar.visible=true
#weasis.all.keyobjecttoolbar.enable=false

#weasis-dicom-viewer2d.all.minitool.visible=false
#weasis-dicom-viewer2d.all.minitool.enable=false
#weasis.all.imagetool.visible=false
#weasis.all.imagetool.enable=false
#weasis.all.displaytool.visible=false
#weasis.all.displaytool.enable=false
#weasis.all.measuretool.visible=false
#weasis.all.measuretool.enable=false

# ... 


########## Toolbar buttons ##########
##### all mouse boutons. Sum of LEFT=1024 + MIDDLE=2048 + RIGHT=4096 + SCROLL=2. Show all:7170 and show none:0.
#weasis.toolbar.mouseboutons=7170
##### Default mouse button action, see list in org/weasis/core/api/gui/util/ActionW.java (the value is "command"): zoom,sequence,winLevel,rotation,measure,contextMenu,measure,crosshair,none
#weasis.toolbar.mouse.left=winLevel
#weasis.toolbar.mouse.middle=pan
#weasis.toolbar.mouse.right=contextMenu
#weasis.toolbar.mouse.wheel=rotation

##########  Viewer ToolBar buttons ##########
##### layout button to choose the number of views
#weasis.toolbar.layoutbouton=false
##### synch button to synchronize series when there are multiple views
#weasis.toolbar.synchbouton=false
##### reset display button
#weasis.toolbar.reset=false


##########  Measure ToolBar buttons ##########
#weasis.measure.selection=false
#weasis.measure.line=false
#weasis.measure.polyline=false
#weasis.measure.rectangle=false
#weasis.measure.ellipse=false
#weasis.measure.threeptcircle=false
#weasis.measure.polygon=false
#weasis.measure.perpendicular=false
#weasis.measure.parallele=false
#weasis.measure.angle=false
#weasis.measure.openangle=false
#weasis.measure.fourptangle=false
#weasis.measure.cobbangle=false
#weasis.measure.pixelinfo=false
#weasis.measure.textGrahic=false


########## CineLoop ToolBar buttons ##########
#weasis.cinetoolbar.gotostart=false
#weasis.cinetoolbar.prev=false
#weasis.cinetoolbar.pause=false
#weasis.cinetoolbar.start=false
#weasis.cinetoolbar.stop=false
#weasis.cinetoolbar.next=false
#weasis.cinetoolbar.gotoend=false


##########  Context Menu of the selected view ##########
#weasis.contextmenu.presets=false
#weasis.contextmenu.lutShape=true
#weasis.contextmenu.lut=true
#weasis.contextmenu.invertLut=false
#weasis.contextmenu.filter=true
#weasis.contextmenu.zoom=false
#weasis.contextmenu.orientation=false
#weasis.contextmenu.sortstack=false
#weasis.contextmenu.reset=false
#weasis.contextmenu.close=false
